# Generated from sslshake-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sslshake

Name: rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}
Summary: Ruby library for pure SSL/TLS handshake testing
License: MPL-2.0
URL: https://github.com/arlimus/sslshake
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This is a library to simulate SSL and TLS handshake from SSLv2, SSLv3, to TLS
1.0-1.2. It does not rely on OpenSSL and is not designed as a replacement
either. It targets full support for even older handshakes, which are not
available in current releases of OpenSSL anymore. It also aims to be
executable on all systems with a sufficiently modern version of Ruby without
any additional requirements or pre-compiled binaries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sslshake.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.3.1-1
- Initial package
